Page MenuHomePhabricator

free ecore_event hanlder defined in elm cnp
Closed, WontfixPublic

Description

_x11_elm_cnp_init@elm_cnp.c

ecore_event_handler_add(ECORE_X_EVENT_SELECTION_CLEAR, _x11_selection_clear, NULL);
ecore_event_handler_add(ECORE_X_EVENT_SELECTION_NOTIFY, _x11_selection_notify, NULL);

We don't cleanup these events anywhere.

Hi Ami,

Why would you need to clean them?

JackDanielZ

jpeg added a subscriber: jpeg.Feb 7 2017, 10:08 PM

There is no shutdown code for cnp. I guess none is required, really.

stefan_schmidt triaged this task as Normal priority.Feb 10 2017, 7:06 AM
jpeg closed this task as Wontfix.Feb 21 2017, 1:29 AM
jpeg claimed this task.

I guess we can ignore this.